{{ define "main" }}

{{ $data := index site.Data site.Language.Lang }}

<!-- hero slider -->
{{ if $data.homepage.slider.enable }}
{{ with $data.homepage.slider }}
<section class="hero-section overlay bg-cover" data-background="{{ .bg_image | absURL }}">
  <div class="container">
    <div class="hero-slider">
      <!-- slider item -->
      {{ range .slider_item }}
      <div class="hero-slider-item">
        <div class="row">
          <div class="col-md-8">
            <h1 data-animation-out="fadeOut{{.animation_out | title }}" data-delay-out="5" data-duration-in=".3"
              data-animation-in="fadeIn{{.animation_in | title }}" data-delay-in=".1">{{ .title | markdownify }}</h1>
            <p class="mb-4" data-animation-out="fadeOut{{.animation_out | title }}" data-delay-out="5" data-duration-in=".3" data-animation-in="fadeIn{{.animation_in | title }}" data-delay-in=".4">{{ .content | markdownify }}</p>
            {{ if .button.enable }}
            <a href="{{ .button.link | absLangURL }}" class="btn btn-primary" data-animation-out="fadeOut{{.animation_out | title }}" data-delay-out="5" data-duration-in=".3" data-animation-in="fadeIn{{.animation_in | title }}" data-delay-in=".7">{{ .button.label }}</a>
            {{ end }}
          </div>
        </div>
      </div>
      {{ end }}
    </div>
  </div>
</section>
{{ end }}
{{ end }}
<!-- /hero slider -->

<!-- banner-feature -->
{{ if $data.homepage.banner_feature.enable }}
{{ with $data.homepage.banner_feature }}
<section class="bg-gray overflow-md-hidden">
  <div class="container-fluid p-0">
    <div class="row no-gutters">
      <div class="col-xl-4 col-lg-5 align-self-end">
        <img class="img-fluid w-100" src="{{ .image | absURL }}" alt="banner-feature">
      </div>
      <div class="col-xl-8 col-lg-7">
        <div class="row feature-blocks bg-gray justify-content-between">
          {{ range .feature_item }}
          <div class="col-sm-6 col-xl-5 mb-xl-5 mb-lg-3 mb-4 text-center text-sm-left">
            <i class="{{ .icon }} mb-xl-4 mb-lg-3 mb-4 feature-icon"></i>
            <h3 class="mb-xl-4 mb-lg-3 mb-4">{{ .name | markdownify }}</h3>
            <p>{{ .content | markdownify }}</p>
          </div>
          {{ end }}
        </div>
      </div>
    </div>
  </div>
</section>
{{ end }}
{{ end }}
<!-- /banner-feature -->

<!-- about us -->
{{ if $data.homepage.about.enable }}
{{ with $data.homepage.about }}
<section class="section">
  <div class="container">
    <div class="row align-items-center">
      <div class="col-md-6 order-2 order-md-1">
        <h2 class="section-title">{{ .title | markdownify }}</h2>
        <p>{{ .content | markdownify }}</p>
        {{ if .button.enable }}
        {{ with .button }}
        <a href="{{ .link | absLangURL }}" class="btn btn-outline-primary">{{ .label }}</a>
        {{ end }}
        {{ end }}
      </div>
      {{ with .image }}
      <div class="col-md-6 order-1 order-md-2 mb-4 mb-md-0">
        <img class="img-fluid w-100" src="{{ . | absURL }}" alt="about image">
      </div>
      {{ end }}
    </div>
  </div>
</section>
{{ end }}
{{ end }}
<!-- /about us -->

<!-- courses -->
{{ if $data.homepage.course.enable }}
<section class="section-sm">
  <div class="container">
    <div class="row">
      <div class="col-12">
        <div class="d-flex align-items-center section-title justify-content-between">
          <h2 class="mb-0 text-nowrap mr-3">{{ $data.homepage.course.title }}</h2>
          <div class="border-top w-100 border-primary d-none d-sm-block"></div>
          <div>
            <a href="{{ `course` | relLangURL }}" class="btn btn-sm btn-outline-primary ml-sm-3 d-none d-sm-block">{{ i18n "see_all" }}</a>
          </div>
        </div>
      </div>
    </div>
    <!-- course list -->
    <div class="row justify-content-center">
      <!-- course item -->
      {{ range first 6 (where site.RegularPages "Type" "course")}}
      <div class="col-lg-4 col-sm-6 mb-5">
        {{ .Render "course" }}
      </div>
      {{ end }}
    </div>
    <!-- /course list -->
    <!-- mobile see all button -->
    <div class="row">
      <div class="col-12 text-center">
        <a href="{{ `course` | relLangURL }}" class="btn btn-sm btn-outline-primary d-sm-none d-inline-block">{{ i18n "see_all" }}</a>
      </div>
    </div>
  </div>
</section>
{{ end }}
<!-- /courses -->

<!-- cta -->
{{ if $data.homepage.cta.enable }}
{{ with $data.homepage.cta }}
<section class="section bg-primary">
  <div class="container">
    <div class="row">
      <div class="col-12 text-center">
        <h6 class="text-white font-secondary mb-0">{{ .subtitle | markdownify }}</h6>
        <h2 class="section-title text-white">{{ .title | markdownify }}</h2>
        {{ if .button.enable }}
        {{ with .button }}
        <a href="{{ .link | absLangURL }}" class="btn btn-light">{{ .label }}</a>
        {{ end }}
        {{ end }}
      </div>
    </div>
  </div>
</section>
{{ end }}
{{ end }}
<!-- /cta -->

<!-- success story -->
{{ if $data.homepage.success_story.enable }}
{{ partial "success-story.html" . }}
{{ end }}
<!-- /success story -->

<!-- events -->
{{ if $data.homepage.event.enable }}
<section class="section bg-gray">
  <div class="container">
    <div class="row">
      <div class="col-12">
        <div class="d-flex align-items-center section-title justify-content-between">
          <h2 class="mb-0 text-nowrap mr-3">{{ $data.homepage.event.title }}</h2>
          <div class="border-top w-100 border-primary d-none d-sm-block"></div>
          <div>
            <a href="{{`event` | relLangURL }}" class="btn btn-sm btn-outline-primary ml-sm-3 d-none d-sm-block text-nowrap">{{ i18n "see_all" }}</a>
          </div>
        </div>
      </div>
    </div>
    <div class="row justify-content-center">
      <!-- event -->
      {{ range first 3 (where site.RegularPages "Type" "event")}}
      <div class="col-lg-4 col-sm-6 mb-5 mb-lg-0">
        {{ .Render "event" }}
      </div>
      {{ end }}
    </div>
    <!-- mobile see all button -->
    <div class="row">
      <div class="col-12 text-center">
        <a href="{{`event` | relLangURL }}" class="btn btn-sm btn-outline-primary d-sm-none d-inline-block">{{ i18n "see_all" }}</a>
      </div>
    </div>
  </div>
</section>
{{ end }}
<!-- /events -->

<!-- blog -->
{{ if $data.homepage.blog.enable }}
<section class="section">
  <div class="container">
    <div class="row">
      <div class="col-12">
        <h2 class="section-title">{{ $data.homepage.blog.title }}</h2>
      </div>
    </div>
    <div class="row justify-content-center">
      <!-- blog post -->
      {{ range first 3 (where site.RegularPages "Type" "post")}}
      <article class="col-lg-4 col-sm-6 mb-5 mb-lg-0">
        {{ .Render "post" }}
      </article>
      {{ end }}
    </div>
  </div>
</section>
{{ end }}
<!-- /blog -->

{{ end }}
